[arch-commits] Commit in xf86-input-hyperpen/trunk (PKGBUILD hyperpen-1.3.0-abi.patch)

andyrtr at archlinux.org andyrtr at archlinux.org
Mon Oct 12 19:30:48 UTC 2009


    Date: Monday, October 12, 2009 @ 15:30:47
  Author: andyrtr
Revision: 55373

upgpkg: xf86-input-hyperpen 1.3.0-3
    built against Xorg-server 1.7

Added:
  xf86-input-hyperpen/trunk/hyperpen-1.3.0-abi.patch
Modified:
  xf86-input-hyperpen/trunk/PKGBUILD

--------------------------+
 PKGBUILD                 |   14 ++++---
 hyperpen-1.3.0-abi.patch |   89 +++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 98 insertions(+), 5 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-10-12 19:29:16 UTC (rev 55372)
+++ PKGBUILD	2009-10-12 19:30:47 UTC (rev 55373)
@@ -3,21 +3,25 @@
 
 pkgname=xf86-input-hyperpen
 pkgver=1.3.0
-pkgrel=2
+pkgrel=3
 pkgdesc="X.Org HyperPen Tablet input driver"
 arch=(i686 x86_64)
 url="http://xorg.freedesktop.org/"
 license=('custom')
 depends=('glibc')
-makedepends=('pkgconfig' 'xorg-server>=1.6.0')
-conflicts=('xorg-server<1.6.0')
+makedepends=('pkgconfig' 'xorg-server>=1.7.0')
+conflicts=('xorg-server<1.7.0')
 options=('!libtool')
 groups=('xorg-input-drivers')
-source=(${url}/releases/individual/driver/${pkgname}-${pkgver}.tar.bz2 LICENSE)
-md5sums=('c50d0da3206d18d9d94f720e3688eca5' '0c035812d7b2e5659c7fb3020e871fcf')
+source=(${url}/releases/individual/driver/${pkgname}-${pkgver}.tar.bz2 LICENSE
+	hyperpen-1.3.0-abi.patch)
+md5sums=('c50d0da3206d18d9d94f720e3688eca5'
+         '0c035812d7b2e5659c7fb3020e871fcf'
+         'd04c41d6f00487f36b2ea14ae86df708')
 
 build() {
   cd "${srcdir}/${pkgname}-${pkgver}"
+  patch -Np1 -i ${srcdir}/hyperpen-1.3.0-abi.patch || return 1
   ./configure --prefix=/usr || return 1
   make || return 1
   make DESTDIR="${pkgdir}" install || return 1

Added: hyperpen-1.3.0-abi.patch
===================================================================
--- hyperpen-1.3.0-abi.patch	                        (rev 0)
+++ hyperpen-1.3.0-abi.patch	2009-10-12 19:30:47 UTC (rev 55373)
@@ -0,0 +1,89 @@
+From 7f3815f74e77df6122320d845d6e7e9541a28b76 Mon Sep 17 00:00:00 2001
+From: Peter Hutterer <peter.hutterer at who-t.net>
+Date: Fri, 17 Jul 2009 14:28:42 +1000
+Subject: [PATCH] Cope with XINPUT ABI 7.
+
+---
+ src/xf86HyperPen.c |   24 ++++++++++++++++++++++--
+ 1 files changed, 22 insertions(+), 2 deletions(-)
+
+diff --git a/src/xf86HyperPen.c b/src/xf86HyperPen.c
+index bd630a5..3920a04 100644
+--- a/src/xf86HyperPen.c
++++ b/src/xf86HyperPen.c
+@@ -719,6 +719,9 @@ xf86HypOpenDevice(DeviceIntPtr pHyp)
+ {
+     LocalDevicePtr	local = (LocalDevicePtr)pHyp->public.devicePrivate;
+     HyperPenDevicePtr	priv = (HyperPenDevicePtr)PRIVATE(pHyp);
++#if GET_ABI_MAJOR(ABI_XINPUT_VERSION) >= 7
++    Atom axis_labels[3] = { 0 };
++#endif
+ 
+     if (xf86HypOpen(local) != Success) {
+ 	if (local->fd >= 0) {
+@@ -730,6 +733,9 @@ xf86HypOpenDevice(DeviceIntPtr pHyp)
+ /* Set the real values */
+     InitValuatorAxisStruct(pHyp,
+ 			   0,
++#if GET_ABI_MAJOR(ABI_XINPUT_VERSION) >= 7
++			   axis_labels[0],
++#endif
+ 			   0, /* min val */
+ 			   priv->hypXSize, /* max val */
+ 			   LPI2CPM(priv->hypRes), /* resolution */
+@@ -737,6 +743,9 @@ xf86HypOpenDevice(DeviceIntPtr pHyp)
+ 			   LPI2CPM(priv->hypRes)); /* max_res */
+     InitValuatorAxisStruct(pHyp,
+ 			   1,
++#if GET_ABI_MAJOR(ABI_XINPUT_VERSION) >= 7
++			   axis_labels[1],
++#endif
+ 			   0, /* min val */
+ 			   priv->hypYSize, /* max val */
+ 			   LPI2CPM(priv->hypRes), /* resolution */
+@@ -744,6 +753,9 @@ xf86HypOpenDevice(DeviceIntPtr pHyp)
+ 			   LPI2CPM(priv->hypRes)); /* max_res */
+     InitValuatorAxisStruct(pHyp,
+ 			   2,
++#if GET_ABI_MAJOR(ABI_XINPUT_VERSION) >= 7
++			   axis_labels[2],
++#endif
+ 			   0, /* min val */
+ 			   511, /* max val */
+ 			   512, /* resolution */
+@@ -765,8 +777,10 @@ xf86HypProc(DeviceIntPtr pHyp, int what)
+     int			loop;
+     LocalDevicePtr	local = (LocalDevicePtr)pHyp->public.devicePrivate;
+     HyperPenDevicePtr	priv = (HyperPenDevicePtr)PRIVATE(pHyp);
+-
+-
++#if GET_ABI_MAJOR(ABI_XINPUT_VERSION) >= 7
++    Atom btn_labels[4] = { 0 };
++    Atom axis_labels[3] = { 0 };
++#endif
+ 
+     switch (what) {
+ 	case DEVICE_INIT:
+@@ -779,6 +793,9 @@ xf86HypProc(DeviceIntPtr pHyp, int what)
+ 
+ 	    if (InitButtonClassDeviceStruct(pHyp,
+ 					    nbbuttons,
++#if GET_ABI_MAJOR(ABI_XINPUT_VERSION) >= 7
++					    btn_labels,
++#endif
+ 					    map) == FALSE) {
+ 		ErrorF("unable to allocate Button class device\n");
+ 		return !Success;
+@@ -802,6 +819,9 @@ xf86HypProc(DeviceIntPtr pHyp, int what)
+ 
+ 	    if (InitValuatorClassDeviceStruct(pHyp,
+ 		   nbaxes,
++#if GET_ABI_MAJOR(ABI_XINPUT_VERSION) >= 7
++		   axis_labels,
++#endif
+ #if GET_ABI_MAJOR(ABI_XINPUT_VERSION) < 3
+ 		   xf86GetMotionEvents,
+ #endif
+-- 
+1.6.3.rc1.2.g0164.dirty
+




More information about the arch-commits mailing list